# Uses of Interface
org.astrogrid.samp.client.MessageHandler

Packages that use MessageHandler
Package
Description
org.astrogrid.samp.client
Classes required only for SAMP clients.

## Uses of MessageHandler in org.astrogrid.samp.client

Classes in org.astrogrid.samp.client that implement MessageHandler
Modifier and Type
Class
Description
`class`
`AbstractMessageHandler`
Partial implementation of MessageHandler interface which helps to ensure correct client behaviour.
Methods in org.astrogrid.samp.client with parameters of type MessageHandler
Modifier and Type
Method
Description
`void`
HubConnector.`addMessageHandler(MessageHandler handler)`
Adds a MessageHandler to this connector, which allows it to respond to incoming messages.
`void`
HubConnector.`removeMessageHandler(MessageHandler handler)`
Removes a previously-added MessageHandler to this connector.